/* ====================================================================
 * Copyright (c) 2007,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "Settings.h"
#include "ConfigManager.h"


ConfigManager* Settings::_config = NULL;


Settings::Settings()
{
}

LayoutSettings& Settings::layout()
{
  return *_config;
}

void Settings::setup( ConfigManager& cm )
{
  _config = &cm;
}
